# INTRODUCTION
------------

The Public files URL replacer allows site administrator to change the base url of public files.

It is especially useful for development or test environments when importing a production environment database and you don´t want to import the public files folder.


# FEATURES
------------

This module overrides the "file_url_generator" service and replaces the local base url for the one you configure (ex: production site URL)

It has also a option to check if the local file exists, and only does the url replace when it doesn't exist locally

# INSTALLATION
------------

* Install as you would normally install a contributed Drupal module. See:
   https://drupal.org/documentation/install/modules-themes/modules-8
   for further information.

# CONFIGURATION
-------------

Configure the Public files URL replacer at (/admin/config/files_url_replacer).


# MAINTAINERS
-----------

Current maintainers:
 * João Mauricio (jmauricio)
 - (https://www.drupal.org/u/jmauricio)
